![Awesome Hacking](awesome_hacking.jpg)

# [Awesome Hacking](https://github.com/Hack-with-Github/Awesome-Hacking)

**A collection of awesome lists for hackers, pentesters & security researchers.**

Your [contributions](contributing.md) are always welcome!

## Table of Contents

**Awesome Repositories:**

- [AppSec](#appsec)
- [Bug Bounty](#bug-bounty)
- [CTF](#ctf)
- [DevSecOps](#devsecops)
- [Exploit Development](#exploit-development)
- [Fuzzing](#fuzzing)
- [Hacking One](#hacking-one)
- [Honeypots](#honeypots)
- [Incident Response](#incident-response)
- [InfoSec](#infosec)
- [IoT Hacks](#iot-hacks)
- [Malware Analysis](#malware-analysis)
- [Pcaptools](#pcaptools)
- [Pentest](#pentest)
- [PHP Security](#php-security)
- [Reversing](#reversing)
- [Sec Talks](#sec-talks)
- [SecLists](#seclists)
- [Security](#security)
- [Static Analysis](#static-analysis)
- [Threat Intelligence](#threat-intelligence)
- [Vehicle Security](#vehicle-security)
- [Web Hacking](#web-hacking)
- [Windows Exploitation](#windows-exploitation)
- [WiFi Arsenal](#wifi-arsenal)
- [Android Security](#android-security)
- [OSX and iOS Security](#osx-and-ios-security)

**Other Useful Repositories:**

- [APT Notes](#apt-notes)
- [Forensics](#forensics)
- [Shell](#shell)
- [Bug Bounty Reference](#bug-bounty-reference)
- [CTF Tool](#ctf-tool)
- [Free Programming Books](#free-programming-books)
- [Gray Hacker Resources](#gray-hacker-resources)
- [Infosec Reference](#infosec-reference)
- [Malware Scripts](#malware-scripts)
- [Pentest Wiki](#pentest-wiki)
- [Resource List](#resource-list)
- [Security Cheatsheets](#security-cheatsheets)

---

### Awesome Repositories

#### [AppSec](https://github.com/paragonie/awesome-appsec)
A curated list of resources for learning about application security

#### [Bug Bounty](https://github.com/djadmin/awesome-bug-bounty)
A comprehensive curated list of Bug Bounty Programs and write-ups from the Bug Bounty hunters.

#### [CTF](https://github.com/apsdehal/awesome-ctf)
A curated list of CTF frameworks, libraries, resources and softwares

#### [DevSecOps](https://github.com/devsecops/awesome-devsecops)
An authoritative list of awesome devsecops tools with the help from community experiments and contributions

#### [Exploit Development](https://github.com/FabioBaroni/awesome-exploit-development)
A curated list of resources (books, tutorials, courses, tools and vulnerable applications) for learning about Exploit Development

#### [Fuzzing](https://github.com/secfigo/Awesome-Fuzzing)
A curated list of fuzzing resources for learning Fuzzing and initial phases of Exploit Development like root cause analysis

#### [Hacking One](https://github.com/carpedm20/awesome-hacking)
A curated list of awesome Hacking tutorials, tools and resources

#### [Honeypots](https://github.com/paralax/awesome-honeypots)
An awesome list of honeypot resources

#### [Incident Response](https://github.com/meirwah/awesome-incident-response)
A curated list of tools for incident response

#### [InfoSec](https://github.com/onlurking/awesome-infosec)
A curated list of awesome infosec courses and training resources.

#### [IoT Hacks](https://github.com/nebgnahz/awesome-iot-hacks)
A Collection of Hacks in IoT Space so that we can address them (hopefully).

#### [Malware Analysis](https://github.com/rshipp/awesome-malware-analysis)
A curated list of awesome malware analysis tools and resources

#### [Pcaptools](https://github.com/caesar0301/awesome-pcaptools)
A collection of tools developed by other researchers in the Computer Science area to process network traces. All the right reserved for the original authors.

#### [Pentest](https://github.com/enaqx/awesome-pentest)
A collection of awesome penetration testing resources, tools and other shiny things

#### [PHP Security](https://github.com/ziadoz/awesome-php#security)
Libraries for generating secure random numbers, encrypting data and scanning for vulnerabilities.

#### [Reversing](https://github.com/tylerhalfpop/awesome-reversing)
A curated list of awesome reverse engineering resources

#### [Sec Talks](https://github.com/PaulSec/awesome-sec-talks)
A collected list of awesome security talks

#### [SecLists](https://github.com/danielmiessler/SecLists)
SecLists is the security tester's companion. It is a collection of multiple types of lists used during security assessments.

#### [Security](https://github.com/sbilly/awesome-security)
A collection of awesome software, libraries, documents, books, resources and cools stuffs about security.

#### [Static Analysis](https://github.com/mre/awesome-static-analysis)
A curated list of static analysis tools, linters and code quality checkers for various programming languages

#### [Threat Intelligence](https://github.com/hslatman/awesome-threat-intelligence)
A curated list of Awesome Threat Intelligence resources

#### [Vehicle Security](https://github.com/jaredmichaelsmith/awesome-vehicle-security)
A curated list of resources for learning about vehicle security and car hacking

#### [Web Hacking](https://github.com/infoslack/awesome-web-hacking)
A list of web application security

#### [Windows Exploitation](https://github.com/enddo/awesome-windows-exploitation)
A curated list of awesome Windows Exploitation resources, and shiny things.

#### [WiFi Arsenal](https://github.com/0x90/wifi-arsenal)
WiFi arsenal is a pack of various useful/useless tools for 802.11 hacking.

#### [Android Security](https://github.com/ashishb/android-security-awesome)
A collection of android security related resources

#### [OSX and iOS Security](https://github.com/ashishb/osx-and-ios-security-awesome)
OSX and iOS related security tools

### Other useful repositories

#### [APT Notes](https://github.com/kbandla/APTnotes)
Various public documents, whitepapers and articles about APT campaigns

#### [Forensics](https://github.com/Cugu/awesome-forensics)
A curated list of awesome forensic analysis tools and resources

#### [Shell](https://github.com/alebcay/awesome-shell)
A curated list of awesome command-line frameworks, toolkits, guides and gizmos to make complete use of shell

#### [Bug Bounty Reference](https://github.com/ngalongc/bug-bounty-reference)
A list of bug bounty write-up that is categorized by the bug nature

#### [CTF Tool](https://github.com/SandySekharan/CTF-tool)
A curated list of Capture The Flag (CTF) frameworks, libraries, resources and softwares.

#### [Free Programming Books](https://github.com/vhf/free-programming-books)
Free programming books for developers

#### [Gray Hacker Resources](https://github.com/bt3gl/My-Gray-Hacker-Resources)
Useful for CTFs, wargames, pentesting. Educational purposes.

#### [Infosec Reference](https://github.com/rmusser01/Infosec_Reference)
Information Security Reference That Doesn't Suck

#### [Malware Scripts](https://github.com/seifreed/malware-scripts)
Useful scripts related with malware

#### [Pentest Wiki](https://github.com/nixawk/pentest-wiki)
A free online security knowledge library for pentesters / researchers

#### [Resource List](https://github.com/FuzzySecurity/Resource-List)
A collection of useful GitHub projects loosely categorised.

#### [Security Cheatsheets](https://github.com/andrewjkerr/security-cheatsheets)
A collection of cheatsheets for various infosec tools and topics.

---

### Contributions

Please have a look at [contributing.md](contributing.md)
